Bug 1268094 - Traceback in subscription-manager-gui from My Subscriptions Tab
Summary: Traceback in subscription-manager-gui from My Subscriptions Tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
: 1330123 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-01 19:38 UTC by J.C. Molet
Modified: 2016-11-03 20:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:27:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description J.C. Molet 2015-10-01 19:38:58 UTC
Description of problem:
This is a continuation of bug 1266480 . While that one is fixed, I can get to the error state using another path. While this does not affect the functionality of subman-gui in any way, the traceback still exists.  

Whenever you unregister and have subscriptions attached to the machine, you will get a traceback.

Version-Release number of selected component (if applicable):
subscription-manager-gui-1.15.9-13.el7.x86_64  (version in 7.2-snap4)

How reproducible:
always

Steps to Reproduce:
1. Open a terminal and run subscription-manager-gui
2. Register subscription-manager if not already
3. Attach more than one or more subscriptions.
4. Go to System > Unregister and confirm.

Actual results:
A traceback is reported in the terminal to stderr.

Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/gui/widgets.py", line 313, in _selection_callback
    self.on_selection(selection)
  File "/usr/share/rhsm/subscription_manager/gui/mysubstab.py", line 269, in on_selection
    order = cert.order
AttributeError: 'NoneType' object has no attribute 'order'
Traceback (most recent call last):
  File "/usr/share/rhsm/subscription_manager/gui/widgets.py", line 313, in _selection_callback
    self.on_selection(selection)
  File "/usr/share/rhsm/subscription_manager/gui/mysubstab.py", line 269, in on_selection
    order = cert.order
AttributeError: 'NoneType' object has no attribute 'order'

Expected results:
No traceback would be reported since nothing is wrong.

Additional info:

Comment 1 John Sefler 2015-10-02 14:41:31 UTC
deferring to rhel-7.3.0 due to severity and time schedule remaining for rhel-7.2.0

Comment 2 Adrian Likins 2015-10-02 22:39:00 UTC
pr at https://github.com/candlepin/subscription-manager/pull/1318

Comment 3 Mike McCune 2016-03-28 22:23:05 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 5 Shwetha Kallesh 2016-05-16 11:14:06 UTC
Marking verified as I dont see any trace back reported in the terminal , after registering ,attaching subscriptions and then unregistering

[root@shwetha-workstation ~]# rpm -qa | grep subscription-manager-gui
subscription-manager-gui-1.17.6-1.el7.x86_64

Comment 6 Shwetha Kallesh 2016-05-16 11:15:01 UTC
Marking verified as I dont see any trace back reported in the terminal , after registering ,attaching subscriptions and then unregistering

[root@shwetha-workstation ~]# subscription-manager-gui
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

(subscription-manager-gui:17465): Gtk-CRITICAL **: gtk_event_controller_reset: assertion 'GTK_IS_EVENT_CONTROLLER (controller)' failed

(subscription-manager-gui:17465): Gtk-CRITICAL **: gtk_event_controller_reset: assertion 'GTK_IS_EVENT_CONTROLLER (controller)' failed


[root@shwetha-workstation ~]# rpm -qa | grep subscription-manager-gui
subscription-manager-gui-1.17.6-1.el7.x86_64

Comment 7 Chris Snyder 2016-06-06 19:33:13 UTC
*** Bug 1330123 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2016-11-03 20:27:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.